### Function

# Gimp Resource get_by_name

since: 3.0

#### Declaration [src]

    GimpResource*
    gimp_resource_get_by_name (
      GType resource_type,
      const gchar* resource_name
    )

#### Description [src]

Returns the resource with the given `resource_type` and `resource_name`.

Available since: 3.0

#### Parameters

`resource_type`

  Type: `GType`

  The `GType` of the resource.

`resource_name`

  Type: `const gchar*`

  The name of the resource.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GimpResource`

The resource.

The data is owned by the called function.
The return value can be `NULL`.